var QueuedHandler = function(){
};
QueuedHandler.prototype = {
	request:function(options){
		var that = this;
		cComplete = options.complete;
		options.complete = function (XMLHttpRequest, textStatus) {
			if(cComplete!=null){
				cComplete(XMLHttpRequest, textStatus);
			}
			$(that).dequeue();
		} 
		options.async = true;
		$(this).queue(function(){
			$.ajax(options);
		});
	}
};

